<?
				echo "
				<script language='JavaScript'>
				var elem = document.getElementById('se-pre-con');
				elem.parentNode.removeChild(elem);
				</script>
				";
if(!defined('GAME'))
{
	die();
}
if($u->info['bukmeker']<>1 && $u->info['admin']<>1){
    die('<center><h4>Не нужно так делать!</h4></center>');
}
?>
<script type="text/javascript" language="javascript" src='https://img.new-combats.com/js/commoninf.js'></script>
<style>
.modpow {
	background-color:#ddd5bf;
}
.mt {
	background-color:#b1a993;
	padding-left:10px;
	padding-right:10px;
	padding-top:5px;
	padding-bottom:5px;
}
.md {
	padding:10px;
}
</style>
<table align=left><tr><td></td></tr></table><table align=right><tr><td><INPUT TYPE="button" onclick="location.href='main.php?bukmeker=1';" value="Обновить" class="btn" title="Обновить"> <INPUT TYPE="button" onclick="location.href='main.php';" class="btn" value="Вернуться" title="Вернуться"></table>
<center><h4><i>Добро пожаловать в панель Букмекера, персонаж <?=$u->info['login']?></h4></i></center>
<?
$pl = mysql_fetch_array(mysql_query('SELECT * FROM `bank_table` ORDER BY `time` DESC LIMIT 1'));
$ba = mysql_fetch_array(mysql_query("SELECT * FROM `bank_alh` WHERE `uid` = '".mysql_real_escape_string($u->info['id'])."' LIMIT 1"));
if(isset($ba['id'])) {
?>
<table width=320>
    <tr>
        <td>
        	<h4>Доступно</h4>
            <b><?=$ba['cr']?></b> кр.    
            <hr />
            <form method="post" action="main.php?bukmeker=1">
            <?
			if(isset($_POST['buy_cr'])) {
				$uba = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "'.mysql_real_escape_string($_POST['buy_cr']).'" LIMIT 1'));
				if(isset($uba['login'])) {
					echo 'Переводим кр персонажу: '.$u->microLogin($uba['id'],1).'<br>';
				}else{
					echo '<font color=red>Банковский счет заблокирован, либо не найден.</font><hr>';
					unset($_POST['buy_cr']);
				}
				echo '<hr>';
				if(isset($uba['login'])) {
					$_POST['buk_cr'] = round($_POST['buk_cr'],2);
					if(isset($_POST['buk_cr']) && $_POST['buk_cr'] < 1) {
						echo '<font color=red>Минимальная сумма перевода: 1 кр.</font><hr>';
						unset($_POST['buk_cr']);
					}elseif($_POST['buk_cr'] > $ba['cr']) {
						echo '<font color=red>Недостаточно средств на счете</font><hr>';
						unset($_POST['buk_cr']);
					}
					if(isset($_POST['buygoodluck'])) { 
						echo '<script>alert("Зачислено '.$_POST['buk_cr'].' кр!");location.href="main.php?bukmeker=1";</script>';
						$ba['cr'] -= $_POST['buk_cr'];
						$ba['USD'] += round($_POST['buk_cr']*$ucur,2);
						mysql_query('UPDATE `bank_alh` SET `cr` = "'.mysql_real_escape_string($ba['cr']).'",`USD` = "'.mysql_real_escape_string($ba['USD']).'" WHERE `id` = "'.$ba['id'].'" LIMIT 1');
						mysql_query('UPDATE `users` SET `money` = `money` + '.mysql_real_escape_string($_POST['buk_cr']).' WHERE `login` = "'.$uba['login'].'" LIMIT 1');
						
						$money = round($_POST['buk_cr']*$pl['cur'],2);
						$money = round($money/100*(100-$ba['procent']),2);
						
					}else{
						echo 'Сумма кр.:';
						if(!isset($_POST['buk_cr'])) {
							echo '&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; <input name="buk_cr" style="width:50px;" value="0.00" /> <input class="btn btn-success" value="Далее" type="submit" /><br>';
						}else{
							echo ' <b>'.round((int)$_POST['buk_cr'],2).'</b> кр.<input name="buk_cr" type="hidden" value="'.$_POST['buk_cr'].'" />';
							echo ' &nbsp; <input type="submit" name="buygoodluck" class="btn btn-danger" value="Начислить кр">';
						}
					}
				}
			}			
			
             if(isset($_POST['buy_cr'])){ ?><input name="buy_cr" type="hidden" value="<?=$_POST['buy_cr']?>" /> <? }else{ ?>Перевести кр персонажу: <input name="buy_cr" style="width:50px;" value="<?=$_POST['buy_cr']?>" /> <input class="btn btn-success" value="Далее" type="submit" /><? } ?>
        	</form>
        </td>
    </tr>
</table>
<?
}
if($u->info['bukmeker']=1 || $u->info['admin']==1){
    if (isset($_POST['systemM']) && !empty($_POST['systemM'])){

        $r = "<b>Внимание:</b>";
        $r .='<font color=darkgreen><b> '.$_POST['sysMes'].'</b><b></font> [Букмекерская Контора]</b>';
        mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`) VALUES ('1','capitalcity','','','','".$r."','".time()."','6','0')");

        echo "<br><font color=red><b>Системное сообщение отправленно</b></font>";
    }

   echo "<br>Системка в чат:<BR>";
    echo " <form action='#' method='POST'>";
    echo "<input type='textarea' class='inps' name='sysMes' size='275'>";
    echo "<input type='submit' name='systemM' class='btn' value='Отправить'>";
    echo "</form>";


}  
?>